TypeSpecifyableTransactionProxyFactoryBean (Grails 5.3.2)

Package: org.grails.spring

## [Java] Class TypeSpecifyableTransactionProxyFactoryBean

- org.grails.spring.TypeSpecifyableTransactionProxyFactoryBean

-     @java.lang.SuppressWarnings("serial")
      public class TypeSpecifyableTransactionProxyFactoryBean
      extends org.springframework.transaction.interceptor.TransactionProxyFactoryBean

  Allows the type of the underlying object to be specified explicitly. This is used when creating scoped proxies of transactional proxies of services. The scoped proxy needs to know that type of the object before the transactional proxy factory has instantiated the underlying service and is able to determine it's class. This class allows the type to be explicitly specified. Used by org.codehaus.groovy.grails.plugins.services.ServicesGrailsPlugin.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.springframework.transaction.interceptor.TransactionProxyFactoryBean` | `OBJECT_TYPE_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TypeSpecifyableTransactionProxyFactoryBean (java.lang.Class<?> type)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Class<?>` | `getObjectType()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.transaction.interceptor.TransactionProxyFactoryBean` | `org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setTransactionAttributes(java.util.Properties), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setTransactionAttributeSource(org.springframework.transaction.interceptor.TransactionAttributeSource), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setTransactionManager(org.springframework.transaction.PlatformTransactionManager), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setPointcut(org.springframework.aop.Pointcut), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setProxyInterfaces([Ljava.lang.Class;), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setPreInterceptors([Ljava.lang.Object;), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setPostInterceptors([Ljava.lang.Object;), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#getObjectType(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#isSingleton(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setBeanClassLoader(java.lang.ClassLoader), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#afterPropertiesSet(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setAdvisorAdapterRegistry(org.springframework.aop.framework.adapter.AdvisorAdapterRegistry), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setProxyClassLoader(java.lang.ClassLoader), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#getObject(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setTarget(java.lang.Object), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#isOptimize(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setOptimize(boolean), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setOpaque(boolean), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setFrozen(boolean), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#isProxyTargetClass(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setProxyTargetClass(boolean), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#setExposeProxy(boolean), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#isExposeProxy(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#copyFrom(org.springframework.aop.framework.ProxyConfig), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#toString(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#isFrozen(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#isOpaque(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#wait(long, int), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#wait(long), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#wait(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#equals(java.lang.Object), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#hashCode(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#getClass(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#notify(), org.springframework.transaction.interceptor.TransactionProxyFactoryBean#notifyAll()`

- - ### Constructor Detail

    - #### public TypeSpecifyableTransactionProxyFactoryBean(java.lang.Class<?> type)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Class<?> getObjectType()